Debian Bug report logs - #512939
python-wxgtk2.8: minor update available, please package 2.8.9

version graph

Package: python-wxgtk2.8; Maintainer for python-wxgtk2.8 is wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>; Source for python-wxgtk2.8 is src:wxwidgets2.8.

Reported by: Karsten Hilbert <karsten.hilbert@gmx.net>

Date: Sun, 25 Jan 2009 10:18:01 UTC

Severity: wishlist

Tags: confirmed

Found in version wxwidgets2.8/2.8.7.1-1.1

Fixed in version wxwidgets2.8/2.8.10.1-1

Done: Ryan Niebur <ryan@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@net.com.org.es>:
Bug#512939; Package python-wxgtk2.8. (Sun, 25 Jan 2009 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karsten Hilbert <karsten.hilbert@gmx.net>:
New Bug report received and forwarded. Copy sent to Adeodato Simó <dato@net.com.org.es>. (Sun, 25 Jan 2009 10:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Karsten Hilbert <karsten.hilbert@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-wxgtk2.8: minor update available, please package 2.8.9
Date: Sun, 25 Jan 2009 11:17:12 +0100
Package: python-wxgtk2.8
Version: 2.8.7.1-1.1
Severity: wishlist

There is a new minor version available which fixes quite a
few bugs. Please package version 2.8.9.*

Thanks,
Karsten

-- System Information:
Debian Release: 5.0
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-wxgtk2.8 depends on:
ii  libc6                        2.7-18      GNU C Library: Shared libraries
ii  libgcc1                      1:4.3.2-1.1 GCC support library
ii  libstdc++6                   4.3.2-1.1   The GNU Standard C++ Library v3
ii  libwxbase2.8-0               2.8.7.1-1.1 wxBase library (runtime) - non-GUI
ii  libwxgtk2.8-0                2.8.7.1-1.1 wxWidgets Cross-platform C++ GUI t
ii  python                       2.5.2-3     An interactive high-level object-o
ii  python-central               0.6.8       register and build utility for Pyt
ii  python-wxversion             2.6.3.2.2-3 wxWidgets Cross-platform C++ GUI t

python-wxgtk2.8 recommends no packages.

Versions of packages python-wxgtk2.8 suggests:
ii  python-xml                   0.8.4-10.1  XML tools for Python
ii  wx2.8-doc                    2.8.7.1-1.1 wxWidgets Cross-platform C++ GUI t
ii  wx2.8-examples               2.8.7.1-1.1 wxWidgets Cross-platform C++ GUI t

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Adeodato Simó <dato@net.com.org.es>:
Bug#512939; Package python-wxgtk2.8. (Mon, 18 May 2009 09:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karsten Hilbert <karsten.hilbert@gmx.net>:
Extra info received and forwarded to list. Copy sent to Adeodato Simó <dato@net.com.org.es>. (Mon, 18 May 2009 09:09:11 GMT) Full text and rfc822 format available.

Message #10 received at 512939@bugs.debian.org (full text, mbox):

From: Karsten Hilbert <karsten.hilbert@gmx.net>
To: Debian Bug Tracking System <512939@bugs.debian.org>
Subject: python-wxgtk2.8: version 2.8.10.1 available, please package
Date: Mon, 18 May 2009 11:06:17 +0200
Package: python-wxgtk2.8
Version: 2.8.7.1-1.1
Severity: normal


The 2.8.10.1 release of wxPython is now available for
download at http://wxpython.org/download.php.

Please package if time permits. They also provide
pre-packages debs for what that's worth.

Thanks,
Karsten

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (50, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-wxgtk2.8 depends on:
ii  libc6                        2.9-4       GNU C Library: Shared libraries
ii  libgcc1                      1:4.4.0-4   GCC support library
ii  libstdc++6                   4.4.0-4     The GNU Standard C++ Library v3
ii  libwxbase2.8-0               2.8.7.1-1.1 wxBase library (runtime) - non-GUI
ii  libwxgtk2.8-0                2.8.7.1-1.1 wxWidgets Cross-platform C++ GUI t
ii  python                       2.5.4-2     An interactive high-level object-o
ii  python-central               0.6.11      register and build utility for Pyt
ii  python-wxversion             2.6.3.2.2-3 wxWidgets Cross-platform C++ GUI t

python-wxgtk2.8 recommends no packages.

Versions of packages python-wxgtk2.8 suggests:
ii  python-xml                   0.8.4-10.1  XML tools for Python
ii  wx2.8-doc                    2.8.7.1-1.1 wxWidgets Cross-platform C++ GUI t
ii  wx2.8-examples               2.8.7.1-1.1 wxWidgets Cross-platform C++ GUI t

-- no debconf information




Added tag(s) confirmed and pending. Request was from ryan52@ryan52.info (Ryan Niebur) to control@bugs.debian.org. (Wed, 05 Aug 2009 04:27:02 GMT) Full text and rfc822 format available.

Reply sent to Ryan Niebur <ryan@debian.org>:
You have taken responsibility. (Thu, 03 Dec 2009 03:42:16 GMT) Full text and rfc822 format available.

Notification sent to Karsten Hilbert <karsten.hilbert@gmx.net>:
Bug acknowledged by developer. (Thu, 03 Dec 2009 03:42:17 GMT) Full text and rfc822 format available.

Message #17 received at 512939-close@bugs.debian.org (full text, mbox):

From: Ryan Niebur <ryan@debian.org>
To: 512939-close@bugs.debian.org
Subject: Bug#512939: fixed in wxwidgets2.8 2.8.10.1-1
Date: Thu, 03 Dec 2009 03:35:59 +0000
Source: wxwidgets2.8
Source-Version: 2.8.10.1-1

We believe that the bug you reported is fixed in the latest version of
wxwidgets2.8, which is due to be installed in the Debian FTP archive:

libwxbase2.8-0_2.8.10.1-1_i386.deb
  to main/w/wxwidgets2.8/libwxbase2.8-0_2.8.10.1-1_i386.deb
libwxbase2.8-dbg_2.8.10.1-1_i386.deb
  to main/w/wxwidgets2.8/libwxbase2.8-dbg_2.8.10.1-1_i386.deb
libwxbase2.8-dev_2.8.10.1-1_i386.deb
  to main/w/wxwidgets2.8/libwxbase2.8-dev_2.8.10.1-1_i386.deb
libwxgtk2.8-0_2.8.10.1-1_i386.deb
  to main/w/wxwidgets2.8/libwxgtk2.8-0_2.8.10.1-1_i386.deb
libwxgtk2.8-dbg_2.8.10.1-1_i386.deb
  to main/w/wxwidgets2.8/libwxgtk2.8-dbg_2.8.10.1-1_i386.deb
libwxgtk2.8-dev_2.8.10.1-1_i386.deb
  to main/w/wxwidgets2.8/libwxgtk2.8-dev_2.8.10.1-1_i386.deb
python-wxgtk2.8-dbg_2.8.10.1-1_i386.deb
  to main/w/wxwidgets2.8/python-wxgtk2.8-dbg_2.8.10.1-1_i386.deb
python-wxgtk2.8_2.8.10.1-1_i386.deb
  to main/w/wxwidgets2.8/python-wxgtk2.8_2.8.10.1-1_i386.deb
wx2.8-doc_2.8.10.1-1_all.deb
  to main/w/wxwidgets2.8/wx2.8-doc_2.8.10.1-1_all.deb
wx2.8-examples_2.8.10.1-1_all.deb
  to main/w/wxwidgets2.8/wx2.8-examples_2.8.10.1-1_all.deb
wx2.8-headers_2.8.10.1-1_i386.deb
  to main/w/wxwidgets2.8/wx2.8-headers_2.8.10.1-1_i386.deb
wx2.8-i18n_2.8.10.1-1_all.deb
  to main/w/wxwidgets2.8/wx2.8-i18n_2.8.10.1-1_all.deb
wxwidgets2.8_2.8.10.1-1.diff.gz
  to main/w/wxwidgets2.8/wxwidgets2.8_2.8.10.1-1.diff.gz
wxwidgets2.8_2.8.10.1-1.dsc
  to main/w/wxwidgets2.8/wxwidgets2.8_2.8.10.1-1.dsc
wxwidgets2.8_2.8.10.1.orig.tar.gz
  to main/w/wxwidgets2.8/wxwidgets2.8_2.8.10.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 512939@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ryan Niebur <ryan@debian.org> (supplier of updated wxwidgets2.8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 01 Dec 2009 22:45:38 -0800
Source: wxwidgets2.8
Binary: libwxbase2.8-0 libwxbase2.8-dev libwxbase2.8-dbg libwxgtk2.8-0 libwxgtk2.8-dev libwxgtk2.8-dbg python-wxgtk2.8 python-wxgtk2.8-dbg python-wxversion python-wxtools wx-common wx2.8-headers wx2.8-i18n wx2.8-doc wx2.8-examples libwxmsw2.8-dev libwxmsw2.8-dbg wx2.8-headers-msw
Architecture: source i386 all
Version: 2.8.10.1-1
Distribution: unstable
Urgency: low
Maintainer: wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
Changed-By: Ryan Niebur <ryan@debian.org>
Description: 
 libwxbase2.8-0 - wxBase library (runtime) - non-GUI support classes of wxWidgets t
 libwxbase2.8-dbg - wxBase library (debug) - non-GUI support classes of wxWidgets too
 libwxbase2.8-dev - wxBase library (development) - non-GUI support classes of wxWidge
 libwxgtk2.8-0 - wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 libwxgtk2.8-dbg - wxWidgets Cross-platform C++ GUI toolkit (GTK+ debug)
 libwxgtk2.8-dev - wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
 libwxmsw2.8-dbg - wxMSW mingw32msvc-cross (debug)
 libwxmsw2.8-dev - wxMSW mingw32msvc-cross
 python-wxgtk2.8 - wxWidgets Cross-platform C++ GUI toolkit (wxPython binding)
 python-wxgtk2.8-dbg - wxWidgets Cross-platform C++ GUI toolkit (wxPython binding, debug
 python-wxtools - wxWidgets Cross-platform C++ GUI toolkit (wxPython common files)
 python-wxversion - wxWidgets Cross-platform C++ GUI toolkit (wxPython version select
 wx-common  - wxWidgets Cross-platform C++ GUI toolkit (common support files)
 wx2.8-doc  - wxWidgets Cross-platform C++ GUI toolkit (documentation)
 wx2.8-examples - wxWidgets Cross-platform C++ GUI toolkit (examples)
 wx2.8-headers - wxWidgets Cross-platform C++ GUI toolkit (header files)
 wx2.8-headers-msw - Extra wxWidgets headers for mingw32msvc-cross
 wx2.8-i18n - wxWidgets Cross-platform C++ GUI toolkit (i18n support)
Closes: 476254 489671 491006 493090 494424 512117 512939 535424 539170 545080 549770 553243
Changes: 
 wxwidgets2.8 (2.8.10.1-1) unstable; urgency=low
 .
   * Add myself to Uploaders (Closes: #539170)
   * add a watch file
   * New Upstream Version (Closes: #512939)
     - fixes underscores instead of underline letters in context menu
       in pgadmin3 (Closes: #491006)
     - fixes Gtk-WARNINGs (Closes: #494424)
   * remove the python-wxaddons package, wxaddons is removed upstream
   * set maintainer to Wx Maintainers
   * switch to quilt
   * -dbg packages => Section: debug
   * add Homepage fields
   * remove reference to homepage in long descriptions
   * depend on libgl1-mesa-dev instead of the transitional xlibmesa-gl-
     dev
   * s/Source-Version/binary:Version/
   * Debian Policy 3.8.3
   * add README.source
   * fix lintian override handling
   * remove bashism in d/rules (Closes: #535424)
   * fix the doc-base file (Closes: #476254)
   * fix bashism in useless example... (Closes: #489671)
   * fix configure for on hurd (Closes: #512117)
   * use the config.{sub,guess} from autotools-dev during build
   * add shlibs:Depends to libwxgtk2.8-dbg (Closes: #553243)
   * build without --enable-mediactrl (Closes: #493090)
   * make python-wxgtk2.8 conflict with python-wxaddons to make sure it
     disappears
   * don't compress .py files
   * add versioned build dependencies on binutils..either the version in
     or before stable, or the version that fixed the bug
   * no more get-orig-source (Closes: #545080)
   * backport r61009 to fix FTBFS (Closes: #549770)
   * remove Editra, it has its own package now
   * fix some lintian warnings, mostly borrowed from Ubuntu
Checksums-Sha1: 
 565b8eabbcb1f3f632662272a465007bec0c7c89 1888 wxwidgets2.8_2.8.10.1-1.dsc
 af39e974af1cffe64351119cb88095f6057a1ff2 38985995 wxwidgets2.8_2.8.10.1.orig.tar.gz
 6f8665553b98d88564a07df4c1fe330b3f56521c 63656 wxwidgets2.8_2.8.10.1-1.diff.gz
 99a628430e54779d22ce910ea8e3db9679ba37fe 690056 libwxbase2.8-0_2.8.10.1-1_i386.deb
 1d5700d02b58873bda4384370e9f4fe5824fdc64 100950 libwxbase2.8-dev_2.8.10.1-1_i386.deb
 78b58611e35513046fe796956d4efd36375f86ce 3777014 libwxbase2.8-dbg_2.8.10.1-1_i386.deb
 fd8e8c82f97bc9c5465811a8477f09680a1c7771 3450552 libwxgtk2.8-0_2.8.10.1-1_i386.deb
 d5e441a0c78d1d936175b2d6b67cd0da18521d21 101146 libwxgtk2.8-dev_2.8.10.1-1_i386.deb
 df58d58f9ee1bb2ac7038f9543faf581f01ff1ae 24239524 libwxgtk2.8-dbg_2.8.10.1-1_i386.deb
 7f8205720bf42d978edddd67523819057fc59b1d 9146584 python-wxgtk2.8_2.8.10.1-1_i386.deb
 dc8c84346cc3d16374253d8d6e1dda9c83ccc10e 35663524 python-wxgtk2.8-dbg_2.8.10.1-1_i386.deb
 98a4ca79abd1c094efc53036095c28bbaa3a76ca 1120722 wx2.8-headers_2.8.10.1-1_i386.deb
 afb6c13ab7e81aded71f2dd0e7123e6931e1a0ae 846568 wx2.8-i18n_2.8.10.1-1_all.deb
 bc1be1073fbcc968a926bca961fe76109261ffcc 2087262 wx2.8-doc_2.8.10.1-1_all.deb
 279a4685e3e297acb518592edd7641f4b70be679 7164780 wx2.8-examples_2.8.10.1-1_all.deb
Checksums-Sha256: 
 39c606423e178aeca3de94fc8ca13567ff9abeec325140fc309931a3d221d453 1888 wxwidgets2.8_2.8.10.1-1.dsc
 2335b7e109ffe2faafaa3429567efb469ee00707e28f4c748929392704ef1e46 38985995 wxwidgets2.8_2.8.10.1.orig.tar.gz
 a75635727c8f7392b9c139c179032b231e8f3213c2da837c49ce8c70f725014e 63656 wxwidgets2.8_2.8.10.1-1.diff.gz
 9aaa5392ad44d2f8c0e8f806f140f2def34bd2e379bd9828e65bc405a3141435 690056 libwxbase2.8-0_2.8.10.1-1_i386.deb
 7ba7a9dc5f6082ca40c2b07b7ce01776f7a0f0c1939526234eb237641730f427 100950 libwxbase2.8-dev_2.8.10.1-1_i386.deb
 a19e32d9520fc41d9609d0ddf44d6832e1fb645068ffe5d8e1b2094fb4503b7b 3777014 libwxbase2.8-dbg_2.8.10.1-1_i386.deb
 d098af6d82b3a5357582f40a76c602e4f9427311967585e9fdaa333591adbcd8 3450552 libwxgtk2.8-0_2.8.10.1-1_i386.deb
 5807489510daa024cc8703206ac8bdc1cec34de05d274fea9c01358f5116031c 101146 libwxgtk2.8-dev_2.8.10.1-1_i386.deb
 8b3da7e10dac4e1268051bf6afc7eb0778bf81dd41d3dab3192fbc215c81e3c6 24239524 libwxgtk2.8-dbg_2.8.10.1-1_i386.deb
 9ab0133e53f00a49eefb353d3bad33960c7fd6c00ce9910a462fd149e4217622 9146584 python-wxgtk2.8_2.8.10.1-1_i386.deb
 f82d3ccd427a4f601cf1c8ff5cb1849a3526b2ab1634e48b6a27b54df1a3e86b 35663524 python-wxgtk2.8-dbg_2.8.10.1-1_i386.deb
 41285db18258b85c644d274c4953357364d3f350be328825ee92c2bc2761a259 1120722 wx2.8-headers_2.8.10.1-1_i386.deb
 94b1794ef6daf5de34505ab24fa437441f91c904c577eff0d6bc91550ad3430f 846568 wx2.8-i18n_2.8.10.1-1_all.deb
 c71b1b1f837f9512482d193bbcc3a0e6ad2d802a0dd5f249e07c6c5ddac5004a 2087262 wx2.8-doc_2.8.10.1-1_all.deb
 c165e0cbe6e24e6c46857cbac6980e7f7216c24c09d306a196ef4fdbac51ab3c 7164780 wx2.8-examples_2.8.10.1-1_all.deb
Files: 
 423f66f25f2175b405ad72f8120fa466 1888 libs optional wxwidgets2.8_2.8.10.1-1.dsc
 e8f04568f2f30ebbc5a29eef79aa21d5 38985995 libs optional wxwidgets2.8_2.8.10.1.orig.tar.gz
 8c950cf68aa5f7dd2af6cb0dcfaed055 63656 libs optional wxwidgets2.8_2.8.10.1-1.diff.gz
 b451205940824bdbacb4b052e47a7d04 690056 libs optional libwxbase2.8-0_2.8.10.1-1_i386.deb
 05e0f65d3c94dce31590d595929d8bb0 100950 libdevel optional libwxbase2.8-dev_2.8.10.1-1_i386.deb
 63e4e1bbf56d946adbc0c957fee4b4bc 3777014 debug extra libwxbase2.8-dbg_2.8.10.1-1_i386.deb
 4a06e3764b73bf92335f5493626c956d 3450552 libs optional libwxgtk2.8-0_2.8.10.1-1_i386.deb
 b46b23c1b29b292b580466ffb5e8fb55 101146 libdevel optional libwxgtk2.8-dev_2.8.10.1-1_i386.deb
 d1418529a9222d7634b2c50b12d0a7c2 24239524 debug extra libwxgtk2.8-dbg_2.8.10.1-1_i386.deb
 d73faf663a4c14661c5795c91f3cc509 9146584 python optional python-wxgtk2.8_2.8.10.1-1_i386.deb
 70f258277a12f0d1fb46ea40cf40a192 35663524 debug extra python-wxgtk2.8-dbg_2.8.10.1-1_i386.deb
 7d533e998a79dfd3b358e55fd50199cc 1120722 devel optional wx2.8-headers_2.8.10.1-1_i386.deb
 ffe277673f4d2038157ec328b892a1fd 846568 libs optional wx2.8-i18n_2.8.10.1-1_all.deb
 26936b120ecadad661792babdc24c8cf 2087262 doc optional wx2.8-doc_2.8.10.1-1_all.deb
 26a1800efc26c49b3c1223771dd682bc 7164780 devel optional wx2.8-examples_2.8.10.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAksXJl8ACgkQMihv+PacasX93QCgoNu8gphJrbvsKbQwjGTYxe6f
mWcAoMhVgZTsX1iObfioKQTR3AEK0CfP
=h5YH
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jan 2010 07:32:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:43:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.